about summary refs log tree commit diff stats
diff options
context:
space:
mode:
authorCharadon <dev@iotib.net>2022-09-29 13:16:49 -0400
committerCharadon <dev@iotib.net>2022-09-29 13:16:49 -0400
commitbfcb99322498845bedbb3c204ad997193ccb4920 (patch)
tree8e8d4ec633837190cb167648b715b20ff12c54d6
parent240e7c891b861904fc03f224b6bf4dafb66f30f7 (diff)
downloaddscip-bfcb99322498845bedbb3c204ad997193ccb4920.tar.gz
Added check for invalid command-line switches.
-rwxr-xr-xsetup.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/setup.sh b/setup.sh
index 64d8f78..e3d91fe 100755
--- a/setup.sh
+++ b/setup.sh
@@ -128,6 +128,8 @@ then
 				exit 0
 				;;
 			*)
+				echo "Invalid command-line switch. Aborting. See -h for more info."
+				exit 1
 				;;
 		esac
 	done